Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
portsmodel::Port Interface Reference

Port interface. More...

## Classes
struct | DetectionMode
| Port detection mode. More...
struct | DeviceChangedEvent
| Event: The device connected to the port has changed. More...
struct | Properties
| Port properties. More...
struct | PropertiesChangedEvent
| Event: The port properties have changed. More...

## Public Types
enum | DetectionType { AUTO , PINNED , DISABLED }
| Port detection type. More...

## Public Member Functions
Properties | getProperties ()
| Get the current properties of the port. More...
void | setName (in string name)
| NOT USED RIGHT NOW! More...
int | setDetectionMode (in DetectionMode mode)
| Set the detection mode for the port. More...
vector< string > | getDetectableDevices ()
| Get all detectable devices of this port. More...
Object | getDevice ()
| Get the connected device of the port. More...
Object | getDeviceConfig (in string deviceType)
| Get device type specific configuration interface. More...
PortFuse | getFuse ()
| Get the fuse for this port. More...

## Public Attributes
constant int | NO_ERROR = 0
| Error codes. More...
constant int | ERR_INVALID_PARAM = 1
| invalid parameter for an operation
constant int | ERR_DEVICE_BUSY = 2
| operation fails because connected device is busy

## Detailed Description

Port interface.

## Member Enumeration Documentation

## ◆ DetectionType

enum portsmodel::Port::DetectionType

Port detection type.

Enumerator
AUTO | auto detection of connected devices
PINNED | port is pinned to a specific device type
DISABLED | port is disabled and will not detect any device connected

## Member Function Documentation

## ◆ getDetectableDevices()

vector< string > portsmodel::Port::getDetectableDevices | ( |  | ) |

Get all detectable devices of this port.

Returns
  List of all registered detectable Devices

## ◆ getDevice()

Object portsmodel::Port::getDevice | ( |  | ) |

Get the connected device of the port.

Returns
  Device connected to Port

## ◆ getDeviceConfig()

Object portsmodel::Port::getDeviceConfig | ( | in string | deviceType | ) |

Get device type specific configuration interface.

Parameters

  deviceType | Device type to get configuration interface for

Returns
  Device configuration interface

## ◆ getFuse()

PortFuse portsmodel::Port::getFuse | ( |  | ) |

Get the fuse for this port.

Returns
  A fuse instance, if available

## ◆ getProperties()

Properties portsmodel::Port::getProperties | ( |  | ) |

Get the current properties of the port.

Returns
  Properties of the Port

## ◆ setDetectionMode()

int portsmodel::Port::setDetectionMode | ( | in DetectionMode | mode | ) |

Set the detection mode for the port.

Parameters

  mode | new detection mode

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM invalid parameter
  ERR_DEVICE_BUSY device busy (e.g. Asset Strip Firmware Update)

## ◆ setName()

void portsmodel::Port::setName | ( | in string | name | ) |

NOT USED RIGHT NOW!

Set the port name

Parameters

  name | new port name

## Member Data Documentation

## ◆ NO_ERROR

constant int portsmodel::Port::NO_ERROR = 0

Error codes.

operation successful, no error

The documentation for this interface was generated from the following file:

- Port.idl